>From 3034084ecbc60df4412f3302b3ab54207e89ba45 Mon Sep 17 00:00:00 2001
From: Sergio Ammirata <sergio@ammirata.net>
Date: Tue, 27 Nov 2018 08:38:43 -0500
Subject: [PATCH 5/5] RIST access_output: check the return value of rist_Write

---
 modules/access_output/rist.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/modules/access_output/rist.c b/modules/access_output/rist.c
index 17929d0..6fec6d5 100644
--- a/modules/access_output/rist.c
+++ b/modules/access_output/rist.c
@@ -178,7 +178,10 @@ static void rist_retransmit(sout_access_out_t *p_access, struct rist_flow *flow,
             seq, age, flow->wi);
         p_sys->i_retransmit_packets++;
         vlc_mutex_lock( &p_sys->fd_lock );
-        rist_Write(flow->fd_out, pkt->buffer->p_buffer, pkt->buffer->i_buffer);
+        if (rist_Write(flow->fd_out, pkt->buffer->p_buffer, pkt->buffer->i_buffer) 
+                != (ssize_t)pkt->buffer->i_buffer) {
+            msg_Err(p_access, "Error sending retransmitted packet after 2 tries ...");
+        }
         vlc_mutex_unlock( &p_sys->fd_lock );
     }
 }
-- 
2.7.4

